| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
isf_SubscriptionSettings_t Struct Reference

`#include <isf_dsa_direct_types.h>`

Collaboration diagram for isf_SubscriptionSettings_t:

## Data Fields
isf_SensorDataTypes_t | resultType
| The desired data type of the subscription. More...
isf_dsa_result_types_t | resultFormat
| The format of the data to be returned- 0=RAW, 1=FIXED, 2=FLOAT. More...
uint32 | nSamplePeriod
| Sample period in microseconds. More...
uint8 | nSettingsToUse
| 1 = current; 2=given; 3=best possible More...
uint8 | nFifoDepth
| 1 = no FIFO, or another value < SM_MAX_FIFO_DEPTH More...

## Detailed Description

Sensor configuration settings used when subscribing to sensor data.

Definition at line 23 of file isf_dsa_direct_types.h.

## Field Documentation

uint8 nFifoDepth

1 = no FIFO, or another value < SM_MAX_FIFO_DEPTH

Definition at line 29 of file isf_dsa_direct_types.h.

Referenced by App1_MainTask(), and fsl_fusion_virt_3D_orient_Configure().

uint32 nSamplePeriod

Sample period in microseconds.

Definition at line 27 of file isf_dsa_direct_types.h.

Referenced by App1_ci_app_callback(), App1_MainTask(), configure_sensor(), and fsl_fusion_virt_3D_orient_Configure().

uint8 nSettingsToUse

1 = current; 2=given; 3=best possible

Definition at line 28 of file isf_dsa_direct_types.h.

Referenced by App1_MainTask(), and fsl_fusion_virt_3D_orient_Configure().

isf_dsa_result_types_t resultFormat

The format of the data to be returned- 0=RAW, 1=FIXED, 2=FLOAT.

Definition at line 26 of file isf_dsa_direct_types.h.

Referenced by App1_MainTask(), configure_sensor(), and fsl_fusion_virt_3D_orient_Configure().

isf_SensorDataTypes_t resultType

The desired data type of the subscription.

Definition at line 25 of file isf_dsa_direct_types.h.

Referenced by App1_MainTask(), configure_sensor(), and fsl_fusion_virt_3D_orient_Configure().

The documentation for this struct was generated from the following files:

- ISF/Core/Include/isf_dsa_direct_types.h
- ISF/Core/Include/isf_sm_types.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.